
function add() {
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/workInfo/edit";
}

function searchByAccount() {
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/hostGroup/list?account="+$("#account").val();
}

function edit(id){
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/workInfo/viewHandleWork?id="+id;
}

function del(id) {
	if(confirm('你确定要删除吗？')) {
		$.ajax(SERVER_SERVLET_CONTEXT_PATH + "/workInfo/del",{
			type:"post",
			data:{"id":id},
			success:function(data){
				toastr.success("操作成功");
				window.location.href = window.location.href;
			}
		});
	}
}

function view(id) {
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/workInfo/view?id="+id;
}

function ajaxSaveAssign() {
	var idState = $("#id").val();
	$("#"+idState+"_state").html("<span class=\"badge badge-success\">已分配</span>");
	$("#"+idState+"_acceptAccountName").html($("#acceptAccountForAssign").find('option:selected').text());
	$("#modal-default").modal("toggle");
	$("#form").ajaxSubmit(function(message) {
		toastr.success("操作成功");
	});
}

function setAssign(id,title) {
	$("#assignWorkTitle").html(title);
	$("#id").val(id);
}

function receive(id) {
	if(confirm('您确定要接收该工单吗?')) {
		$.ajax(SERVER_SERVLET_CONTEXT_PATH + "/workInfo/receive",{
			type:"post",
			data:{"id":id},
			success:function(data){
				toastr.success("操作成功");
				$("#"+id+"_state").html("<span class=\"badge badge-success\">已接收</span>");
			}
		});
	}
}

function resetParam(){
	$("#startTime").val("");
	$("#state").val("");
	$("#addAccount").val("");
	$("#acceptAccount").val("");
	$("#workTitle").val("");
	$("#workType").val("");
}

function ajaxSaveComment() {
	$("#modal-default2").modal("toggle");
	$("#form2").ajaxSubmit(function(message) {
		toastr.success("操作成功");
		window.location.href = window.location.href;
	});
}

function setComment(id) {
	$("#id2").val(id);
}

function delComment(id) {
	if(confirm('您确定要删除该评论吗?')) {
		$.ajax(SERVER_SERVLET_CONTEXT_PATH + "/workInfo/delComment",{
			type:"post",
			data:{"id":id},
			success:function(data){
				toastr.success("操作成功");
				window.location.href = window.location.href;
			}
		});
	}
}

function ajaxSaveReopen() {
	$("#modal-default3").modal("toggle");
	$("#form3").ajaxSubmit(function(message) {
		toastr.success("操作成功");
		window.location.href = window.location.href;
	});
}

function setReopen(id) {
	$("#id3").val(id);
}

function closeWork(id) {
	if(confirm('您确定要关闭该工单吗?')) {
		$.ajax(SERVER_SERVLET_CONTEXT_PATH + "/workInfo/close",{
			type:"post",
			data:{"id":id},
			success:function(data){
				toastr.success("操作成功");
				window.location.href = window.location.href;
			}
		});
	}
}